<html>
  <head>
    <meta charset="utf-8">  <!-- 设置页面字符编码为UTF-8 -->
    <title>账户登录</title>  <!-- 页面标题 -->
    <link rel="stylesheet" href="css/style.css">  <!-- 引入CSS样式表 -->
    <script src="js/js.js"></script>  <!-- 引入JavaScript文件 -->
  </head>
  <body>
    <?php
      // 开启会话
      session_start();
      // 检查用户是否已登录(检查session中是否有role)
      if (isset($_SESSION['role'])) {
        // 如果已登录，重定向到面板页面
        echo "<script>location.href='php/pannel.php'</script>";
      }
    ?>
    <!-- 登录卡片容器 -->
    <div class="card-container">
      <!-- 登录表单，使用id便于JavaScript操作 -->
      <form id="loginForm">
        <!-- 登录标题 -->
        <div id="login-title"><h3>身份认证</h3> </div>
        
        <!-- 用户名输入框 -->
        <div class="input-group">
          <input type="text" name="name" placeholder="学工号/手机号/邮箱" required>
        </div>
        
        <!-- 密码输入框 -->
        <div class="input-group">
          <input type="password" name="passwd" placeholder="密码" required>
        </div>
        
        <!-- 验证码输入框 -->
        <div class="input-group" id="captcha-input">
          <input type="text" name="code" placeholder="请输入验证码">
        </div>
        
        <!-- 验证码图片显示区域 -->
        <div class="input-group" id="captcha-img"></div>
        
        <!-- 隐藏字段，用于存储验证码ID -->
        <input type="hidden" name="id" id="captcha-id">
        
        <!-- 验证码提示信息 -->
        <p id="captcha-info">验证码只包含字母,不区分大小写</p>
        
        <!-- 登录按钮 -->
        <div><button class="button" type="button" id="loginBtn"><span>登录</span></button></div>
        
        <!-- 错误信息显示区域 -->
        <div class="message" id='errorMessage'><p></p></div>
      </form>
    </div>
    
    <script>
      // 获取表单和登录按钮元素
      const loginForm = document.getElementById('loginForm');
      const loginBtn = document.getElementById('loginBtn');
      
      // 登录按钮点击事件处理
      loginBtn.addEventListener('click', function(e) {
        e.preventDefault();  // 阻止表单默认提交行为
        
        // 收集表单数据
        const formData = new FormData(loginForm);
        
        // 创建XMLHttpRequest对象用于AJAX请求
        const xhr = new XMLHttpRequest();
        
        // 配置请求: POST方法, 目标URL为php/login.php, 异步请求
        xhr.open('POST', 'php/login.php', true);

        // 请求完成后的回调函数
        xhr.addEventListener('loadend', () => {
          // 解析服务器返回的JSON响应
          const response = JSON.parse(xhr.responseText);
          
          // 根据响应结果处理
          if (response.success) {
            // 登录成功，跳转到面板页面
            location.href='php/pannel.php';
          } else {
            // 登录失败，显示错误信息
            document.getElementById('errorMessage').firstChild.innerText = response.message;
          }
        })
        
        // 发送请求，附带表单数据
        xhr.send(formData);
      });
    </script>
  </body>
</html>
