<html>
<head>
  <!-- 设置页面元数据 -->
  <meta charset="utf-8" />
  <title>发送帖子</title>
  <!-- 引入样式表 -->
  <link rel="stylesheet" href="./ccs/style.css">
</head>

<body>
  <!-- 主容器 -->
  <div class="container">
    <h1>RUC小喇叭</h1>
    <!-- 帖子输入区域 -->
    <div class="input_container">
      <!-- 帖子提交表单，提交到send_post.php处理 -->
      <form action="./php/send_post.php" method="post" id="input_form">
        <textarea id="input_textarea" name="content" placeholder="分享你的快乐，分担你的忧愁" required></textarea>
        <div class="btn_row">
          <!-- 添加图片按钮 -->
          <img id="add_img_btn" src="./img/add_images.svg" />
          <!-- 提交按钮 -->
          <button type="submit"><span>发表</span></button>
        </div>
      </form>
    </div>
    <!-- 搜索区域 -->
    <div class="search_container">
      <form id="search_form"> 
        <input type="text" placeholder="请输入搜索关键词" required>
        <button type="submit"><span>搜索</span></button>
      </form>
    </div>
    <!-- 帖子列表容器 -->
    <div class="post_list">
    </div>
  </div>

  <!-- 引入JavaScript文件 -->
  <script src="./js/js.js"></script>
  <?php
    // 启动会话
    session_start();
    // 数据库连接配置
    $servername = "127.0.0.1:3306";
    $username = "root";
    $passwd = "kali";
    $database = "rucwall";

    // 创建数据库连接
    $conn = new mysqli($servername, $username, $passwd, $database);
    // 检查连接是否成功
    if ($conn->connect_error) {
      die("连接失败: " . $conn->connect_error);
    }

    // 查询所有帖子
    $sql = "SELECT * FROM posts";
    $res = $conn->query($sql);  
    // 存储帖子数据的数组
    $posts = array();
    // 遍历查询结果
    while ($row = $res->fetch_assoc()) {
      $posts[] = $row;
    }
    
    // 处理每个帖子并显示
    foreach ($posts as $post) {
      // 获取帖子数据
      $post_id = $post["post_id"];
      $post_time = strtotime($post["time"]);
      $post_content = $post["content"];
      $post_like_num = $post["like_num"];
      $post_comment_num = $post["comment_num"];

      // 计算时间差并转换
      $currentTime = time();
      $diff = $currentTime - $post_time;
      // 调试输出时间信息
      echo "<script> console.log('current time : {$currentTime}') </script>";
      echo "<script> console.log('post time : {$post_time}') </script>";
      echo "<script> console.log('diff : {$diff}') </script>";
      
      // 根据时间差显示不同的时间格式
      if ($diff < 60) {
          $timeAgo = "刚刚";
      } elseif ($diff < 3600) {
          $minutes = floor($diff / 60);
          $timeAgo = $minutes . "分钟前";
      } elseif ($diff < 86400) {
          $hours = floor($diff / 3600);
          $timeAgo = $hours . "小时前";
      } else {
          $days = floor($diff / 86400);
          $timeAgo = $days . "天前";
      }

      // 调用JavaScript函数创建帖子容器
      echo "<script>createPostContainer('{$post_id}', '{$timeAgo}', '{$post_content}', '{$post_like_num}', '{$post_comment_num}')</script>";
    }
  ?>
</body>
</html>