<?php
/* 
 * POST数据处理部分
 * 使用可变变量动态创建变量
 * 将$_POST数组中的每个键值对转换为对应的变量
 * 例如：$_POST['name']的值会赋给$name变量
 */
foreach ($_POST as $key => $value) {
    $$key = $value; // 使用可变变量创建动态命名的变量
}

/*
 * 表单数据显示部分
 * 输出用户通过表单提交的各个字段值
 * 注意：实际应用中密码等敏感信息不应直接显示
 */
echo "name: " . $name . "<br/>";        // 显示用户姓名
echo "password: " . $password . "<br/>"; // 显示密码(安全提示：生产环境应加密处理)
echo "sex: " . $sex . "<br/>";          // 显示用户性别
echo "education: " . $education . "<br/>"; // 显示教育程度
echo "hobby: " . $hobby . "<br/>";      // 显示兴趣爱好
echo "intro: " . $intro . "<br/>";      // 显示个人介绍文本

/*
 * 多文件上传处理部分
 * 检查是否有名为"photo"的文件上传字段
 */
if (!empty($_FILES["photo"])) {
    /*
     * 遍历所有上传的文件
     * $_FILES["photo"]["error"]数组包含每个文件的上传状态码
     */
    foreach ($_FILES["photo"]["error"] as $key => $error) {
        // 检查当前文件是否上传成功(UPLOAD_ERR_OK表示成功)
        if ($error == UPLOAD_ERR_OK) {
            // 显示文件上传信息标题
            echo "<h3>文件 " . ($key + 1) . ":</h3>";
            
            // 显示文件详细信息
            echo "Upload: " . $_FILES["photo"]["name"][$key] . "<br/>"; // 原始文件名
            echo "Type: " . $_FILES["photo"]["type"][$key] . "<br/>";   // 文件MIME类型
            echo "Size: " . ($_FILES["photo"]["size"][$key] / 1024) . " Kb<br/>"; // 文件大小(KB)
            echo "Stored in: " . $_FILES["photo"]["tmp_name"][$key] . "<br/>"; // 临时存储路径

            /*
             * 文件路径处理
             * 准备文件移动的源路径和目标路径
             */
            $temporary_path = $_FILES["photo"]["tmp_name"][$key]; // 临时文件路径
            $relative_path = "/file/" . $_FILES["photo"]["name"][$key]; // 相对路径(web可访问)
            $absolute_path = $_SERVER["DOCUMENT_ROOT"] . $relative_path; // 绝对路径(服务器文件系统)

            /*
             * 文件移动操作
             * 将临时文件移动到目标目录
             */
            if (move_uploaded_file($temporary_path, $absolute_path)) {
                echo "文件保存成功: " . $relative_path . "<br/>";
                // 显示上传的图片(限制最大宽度为300px)
                echo "<img src=\"$relative_path\" style=\"max-width: 300px; margin: 10px;\"/><br/>";
            } else {
                echo "文件保存失败<br/>"; // 移动文件失败时的提示
            }
        } else {
            // 文件上传出错时的处理
            echo "文件 " . ($key + 1) . " 上传出错: " . $error . "<br/>";
        }
        echo "<hr/>"; // 分隔线，区分不同文件的上传结果
    }
}
