<html>

<head>
  <meta charset="utf-8" />
  <title>发送帖子</title>
  <link rel="stylesheet" href="./ccs/style.css">
</head>

<body>
  <div class="container">
    <h1>RUC小喇叭</h1>
    <div class="input_container">
      <form action="./php/send_post.php" method="post" id="input_form">
        <textarea id="input_textarea" name="content" placeholder="分享你的快乐，分担你的忧愁" required></textarea>
        <div class="btn_row">
          <img id="add_img_btn" src="./img/add_images.svg" />
          <button type="submit"><span>发表</span></button>
        </div>
      </form>
    </div>
    <div class="search_container">
      <form id="search_form"> 
        <input type="text"
         placeholder="请输入搜索关键词" required>
        <button type="submit"><span>搜索</span></button>
      </form>
    </div>
    <div class="post_list">
    </div>
  </div>

  <script src="./js/js.js"></script>
  <?php
    session_start();
    // 检查是否有帖子数据，如果没有则初始化一个空数组
    if(!isset($_SESSION["posts"])) {
      $_SESSION["posts"] = array();
    }

    $posts = $_SESSION["posts"];

    foreach ($posts as $post) {
      // 从帖子数组中获取各个字段值
      $post_id = $post["post_id"];        // 帖子唯一标识
      $post_time = $post["post_time"];    // 帖子发布时间戳
      $post_content = $post["content"];   // 帖子内容
      $post_like_num = $post["like_num"]; // 点赞数
      $post_comment_num = $post["comment_num"]; // 评论数

      // 计算时间差并转换
      $currentTime = time();              // 获取当前时间戳
      $diff = $currentTime - $post_time;  // 计算当前时间与发帖时间的差值(秒)
      
      // 根据时间差显示不同的时间格式
      if ($diff < 60) {
          $timeAgo = "刚刚";               // 小于1分钟显示"刚刚"
      } elseif ($diff < 3600) {          // 小于1小时(3600秒)
          $minutes = floor($diff / 60);  // 计算分钟数(向下取整)
          $timeAgo = $minutes . "分钟前"; // 显示"X分钟前"
      } elseif ($diff < 86400) {         // 小于1天(86400秒)
          $hours = floor($diff / 3600);  // 计算小时数(向下取整)
          $timeAgo = $hours . "小时前";   // 显示"X小时前"
      } else {                           // 大于等于1天
          $days = floor($diff / 86400);  // 计算天数(向下取整)
          $timeAgo = $days . "天前";      // 显示"X天前"
      }

      // 调用JavaScript函数创建帖子DOM元素
      echo "<script>createPostContainer('{$post_id}', '{$timeAgo}', '{$post_content}', '{$post_like_num}', '{$post_comment_num}')</script>";
    }
  ?>
</body>

</html>