<?php
// 开启会话，用于存储和获取会话数据
session_start();
// 检查是否有帖子数据，如果没有则初始化一个空数组
if (!isset($_SESSION["posts"])) {
    $_SESSION["posts"] = array();
}

// 检查POST请求中是否包含content字段
if (!isset($_POST['content'])) {
    // 如果content字段不存在，返回错误信息
    echo "前端数据错误：表单中的content字段不能为空";
    // 可以添加exit或die来终止脚本执行
    exit;
}

// 获取POST请求中的content内容
$content = $_POST['content'];
// 获取当前时间戳
$currentTime = time();
// 计算新帖子的ID，基于现有帖子数量+1
$post_id = count($_SESSION["posts"]) + 1;
// 初始化点赞数为0
$post_like_num = 0;
// 初始化评论数为0
$post_comment_num = 0;

// 创建帖子数据数组
$post = array(
    "post_id" => $post_id,        // 帖子ID
    "content" => $content,        // 帖子内容
    "post_time" => $currentTime,  // 发布时间戳
    "like_num" => $post_like_num, // 点赞数
    "comment_num" => $post_comment_num // 评论数
);

// 将新帖子添加到会话中的posts数组
array_push($_SESSION["posts"], $post);

// 使用JavaScript重定向回首页
echo "<script>location.href='../index.php'</script>";
