<html>

<head>
  <!-- 设置文档字符编码为UTF-8 -->
  <meta charset="utf-8">
  <!-- 页面标题 -->
  <title>账户登录</title>
  <!-- 引入外部CSS样式表 -->
  <link rel="stylesheet" href="css/style.css">
</head>

<body>
  <?php
  // 启动会话，用于跟踪用户登录状态
  session_start();
  
  // 检查用户是否已登录(通过检查session中是否有username字段)
  if (isset($_SESSION['username'])) {
    // 如果已登录，重定向到控制面板页面
    header("Location: php/pannel.php");
    // 终止脚本执行，确保重定向立即生效
    exit();
  }
  ?>
  
  <!-- 登录卡片容器 -->
  <div class="card-container">
    <!-- 登录表单，提交到login.php处理 -->
    <form action="php/login.php" method="post">
      <!-- 登录标题 -->
      <div id="login-title">
        <h3>身份认证</h3>
      </div>
      
      <!-- 用户名输入组 -->
      <div class="input-group">
        <!-- 用户名输入框，必填字段 -->
        <input type="text" name="username" placeholder="学工号/手机号/邮箱" required>
      </div>
      
      <!-- 密码输入组 -->
      <div class="input-group">
        <!-- 密码输入框，必填字段 -->
        <input type="password" name="password" placeholder="密码" required>
      </div>
      
      <!-- 验证码输入组 -->
      <div class="input-group" id="captcha-input">
        <!-- 验证码输入框 -->
        <input type="text" name="code" placeholder="请输入验证码">
      </div>

      <!-- 验证码图片显示区域 -->
      <div class="input-group" id="captcha-img">
        <?php 
        // 生成随机验证码(0-9)并存入session
        $_SESSION["code"] = rand() % 10; 
        ?>
        <!-- 显示验证码图片，图片名根据生成的随机数决定 -->
        <img src="img/code_<?= $_SESSION["code"] ?>.png">
      </div>
      
      <!-- 验证码提示信息 -->
      <p id="captcha-info">验证码只包含字母,不区分大小写</p>
      
      <!-- 登录按钮 -->
      <div><button class="button" type="submit"><span>登录</span></button></div>
    </form>
  </div>
</body>

</html>