<?php
/* 
 * pannel.php: 面板页面
 * 功能：显示用户登录后的控制面板
 * 安全注意事项：
 * 1. 必须使用session验证用户身份
 * 2. 从cookie获取角色信息存在安全风险
 */

// 启动会话，用于验证用户登录状态
session_start();

// 检查用户是否已登录（session中是否存在username）
if (isset($_SESSION["username"])) {
    // 从cookie获取用户角色 - 存在安全风险：
    // 1. cookie容易被篡改
    // 2. 建议改为从session或数据库获取角色信息
    $role = $_COOKIE["role"];
    
    // 显示欢迎信息和用户角色
    echo "你好，" . $role . "<br/>";
    
    // 提供退出登录的链接
    echo "<a href='logout.php'>退出</a>";
} else {
    // 未登录用户显示无权访问提示
    echo "无权访问！";
}
